GDB (xrefs)

Public Attributes | List of all members
tic6x_unwind_cache Struct Reference

## Public Attributes
CORE_ADDR | base
CORE_ADDR | cfa
CORE_ADDR | pc
int | return_regnum
CORE_ADDR | reg_saved [TIC6X_NUM_CORE_REGS]

## Detailed Description

Definition at line 61 of file tic6x-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR tic6x_unwind_cache::base

Definition at line 64 of file tic6x-tdep.c.

Referenced by tic6x_analyze_prologue(), tic6x_frame_base_address(), and tic6x_frame_this_id().

## ◆ cfa

CORE_ADDR tic6x_unwind_cache::cfa

Definition at line 68 of file tic6x-tdep.c.

Referenced by tic6x_analyze_prologue(), tic6x_frame_prev_register(), tic6x_frame_this_id(), tic6x_make_stub_cache(), and tic6x_stub_this_id().

## ◆ pc

CORE_ADDR tic6x_unwind_cache::pc

Definition at line 71 of file tic6x-tdep.c.

Referenced by tic6x_frame_this_id(), and tic6x_frame_unwind_cache().

## ◆ reg_saved

CORE_ADDR tic6x_unwind_cache::reg_saved[TIC6X_NUM_CORE_REGS]

Definition at line 78 of file tic6x-tdep.c.

Referenced by tic6x_analyze_prologue(), tic6x_frame_prev_register(), and tic6x_setup_default().

## ◆ return_regnum

int tic6x_unwind_cache::return_regnum

Definition at line 74 of file tic6x-tdep.c.

Referenced by tic6x_frame_prev_register(), tic6x_frame_unwind_cache(), and tic6x_make_stub_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/tic6x-tdep.c